﻿<cfcomponent>
	<cffunction name="getFlash" access="public" output="false" returntype="query">
		<cfargument name="flash_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetFlash">
                SELECT #arguments.fields# FROM ice_flash WHERE 0=0
<cfif isdefined("form.ice_flash")>AND (ice_flash LIKE '%#form.ice_flash#%' OR caption LIKE  '%#form.ice_flash#%' OR file LIKE  '%#form.ice_flash#%')</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif isdefined("arguments.flash_id") AND arguments.flash_id IS NOT 0>AND id IN (#arguments.flash_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetFlash>
	</cffunction>

	<cffunction name="getSiteFlash" access="public" output="false" returntype="query">
		<cfargument name="flash_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.my_site_id#">
            <cfquery datasource="#application.DB#" name="GetFlash">
                SELECT #arguments.fields# FROM ice_flash WHERE 0=0
<cfif isdefined("form.ice_flash")>AND (ice_flash LIKE '%#form.ice_flash#%' OR caption LIKE  '%#form.ice_flash#%' OR file LIKE  '%#form.ice_flash#%')</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif isdefined("arguments.flash_id") AND arguments.flash_id IS NOT 0>AND id IN (#arguments.flash_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetFlash>
	</cffunction>

	<cffunction name="countFlash" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
		<cfargument name="ice_status_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="CountFlash">
                SELECT #arguments.fields# FROM ice_flash 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
            </cfquery>
<cfset countflash=CountFlash.Recordcount>
		<cfreturn CountFlash>
	</cffunction>

	<cffunction name="addFlash" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=now()>
<cfset form.ice_site_id=#session.current_site_id#>
<CFIF form.file IS NOT ''>
<cftry>

<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.file" DESTINATION="#application.ice_path#\sites\#session.current_site_folder#\flash\" NAMECONFLICT="makeunique" ACCEPT="application/x-shockwave-flash,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.file='#cffile.ServerFile#'>

<cfinsert tablename="ice_flash" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,ice_site_id,created">
<cfcatch type="any"><cfset addflash=0><cfreturn addflash></cfcatch>
</cftry>	
<cfset addflash=1>
		<cfreturn addflash>
<CFELSE>
<cfset addflash=0>
		<cfreturn addflash>
</CFIF>
	</cffunction>

	<cffunction name="updateFlash" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cftry>
<cfupdate tablename="ice_flash" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updateflash=0><cfreturn updateflash></cfcatch>
</cftry>	
<cfset updateflash=1>
		<cfreturn updateflash>

	</cffunction>

	<cffunction name="deleteFlash" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>

<cfquery name="GetFlash" datasource="#application.db#">
SELECT * FROM ice_flash WHERE id IN (#arguments.id#)
</cfquery>

<cfif GetFlash.recordcount IS NOT 0>
	<cfloop query="GetFlash">
		<cfif GetFlash.file IS NOT ''>

			<cfif fileexists("#application.ice_path#\sites\#session.current_site_folder#\flash\#GetFlash.file#")>
			<cffile action="delete" file="#application.ice_path#\sites\#session.current_site_folder#\flash\#GetFlash.file#">
			</cfif>
		
			
		</cfif>
	</cfloop>
</cfif>

<cfquery name="DeleteFlash" datasource="#application.db#">
DELETE FROM ice_page_flash WHERE ice_flash_id=#arguments.id#
</cfquery>

<cfquery name="DeleteFlash" datasource="#application.db#">
DELETE FROM ice_flash WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deleteflash=0><cfreturn deleteflash></cfcatch>
</cftry>	
<cfset deleteflash=1>
<cfelse>
<cfset deleteflash=0><cfreturn deleteflash>
</cfif>
		<cfreturn deleteflash>
	</cffunction>

</cfcomponent>
