﻿<cfif NOT isdefined("session.my_member_id")>
<cfparam name="attributes.title" default="Login">
<cfparam name="attributes.title_color" default="blue">
<cfparam name="attributes.button" default="Login">
<cfparam name="attributes.forgot_button" default="Get Password">
<cfparam name="attributes.forgot_title" default="Forgot Password?">
<cfparam name="attributes.forgot_text" default="Enter your registered e-mail address and we will send you your password!">
<cfparam name="attributes.forgot_message" default="Password sent to:">
<cfparam name="attributes.forgot_email_subject" default="Your Forgotten Password!">
<cfparam name="attributes.forgot_email_message" default="Your recently requested password:">
<cfparam name="attributes.register_text" default="Register">
<cfparam name="attributes.register_page" default="register.cfm">
<cfparam name="attributes.wrong_email" default="E-mail address not found!">
<cfparam name="attributes.wrong_password" default="Wrong password!">
<cfparam name="attributes.disabled_account" default="Account has been disabled!">
<cfparam name="attributes.field_name" default="email,pword">
<cfparam name="attributes.width" default="100%">
<cfparam name="attributes.cellpadding" default="5">
<cfparam name="attributes.cellspacing" default="5">
<cfparam name="attributes.field_width" default="50%,50%">
<cfparam name="attributes.field_size" default="15,15">
<cfparam name="attributes.field_type" default="text,password">
<cfparam name="attributes.field_message" default="E-mail address required!,Password required!">
<cfparam name="attributes.field_title" default="Email:,Password:">
<cfparam name="attributes.site_id" default="#session.my_site_id#">
<cfparam name="attributes.language_id" default="#session.my_language_id#">
<cfif isdefined("url.ref") AND url.ref IS NOT ''>

<cfparam name="attributes.login_after" default="#url.ref#">

<cfelseif cgi.query_string IS NOT ''>


<cfparam name="attributes.login_after" default="#cgi.script_name#?#cgi.query_string#">
<cfelse>
<cfparam name="attributes.login_after" default="#cgi.script_name#">
</cfif>

<style type="text/css">
<!--
#error {
<cfoutput>
border : 1px solid #attributes.title_color#;
</cfoutput>
background : #F9F9F9;
/* width : 300px; */
padding : 2px;
font-weight:bold;

}

-->
</style>

<!--- Process Login Form --->

<cfif isdefined("form.DoLogin")>
<cfinvoke component="ice.#application.api_folder#.site_login" email="#form.email#" pword="#form.pword#" site_id="#form.ice_site_id#" method="login" returnvariable="login">
<cfoutput>
<cfif login IS 0>

	<cflocation url="#attributes.login_after#" addtoken="no">

<cfelseif login IS 1>
<div id="error">#attributes.wrong_email#</div>
<cfelseif login IS 2>
<div id="error">#attributes.wrong_password#</div>
<cfelseif login IS 3>
<div id="error">#attributes.disabled_account#</div>
</cfif>
</cfoutput>

</cfif>

<!--- Process Login Form --->

<!--- Process Forgot Form --->
<cfif isdefined("form.DoForgot")>
<cfinvoke component="ice.#application.api_folder#.site_login" email="#form.email#" site_id="#form.ice_site_id#" subject="#attributes.forgot_email_subject#" message="#attributes.forgot_email_message#" method="forgot" returnvariable="forgot">
<cfoutput>
<cfif forgot IS 0>
<div id="error">#attributes.forgot_message#: #form.email#</div>
<cfelseif forgot IS 1>
<div id="error">#attributes.wrong_email#</div>
<cfelseif forgot IS 2>
<div id="error">#attributes.wrong_password#</div>
<cfelseif forgot IS 3>
<div id="error">#attributes.disabled_account#</div>
</cfif>
</cfoutput>

</cfif>
<!--- Process Forgot Form --->


<cfoutput>

<CFIF isdefined("url.do") AND url.do IS 'forgot_password'>


<!--- Forgot Password Form --->

<cfif cgi.query_string IS NOT ''><cfset formaction='#cgi.script_name#?#cgi.query_string#'><cfelse><cfset formaction='#cgi.script_name#'></cfif> 
<cfform action="#formaction#" method="post">
<cfinput type="hidden" name="ice_site_id" value="#attributes.site_id#" />
<cfset x=0>
<table cellpadding="#attributes.cellpadding#" cellspacing="#attributes.cellspacing#">
<tr><td colspan="2"><p style="color:#attributes.title_color#;"><b>#attributes.forgot_title#</b></p>
#attributes.forgot_text#
</td></tr>
<tr><td width="#listgetat(attributes.field_width,1)#"><b>#listgetat(attributes.field_title,1)#</b></td><td width="#listgetat(attributes.field_width,2)#"><cfinput name="#listgetat(attributes.field_name,1)#" type="#listgetat(attributes.field_type,1)#" size="#listgetat(attributes.field_size,1)#" required="yes" message="#listgetat(attributes.field_message,1)#" /></td></tr>
<tr><td colspan="2"><cfinput type="submit" name="DoForgot" value="#attributes.forgot_button#" /> <a href="#replace(formaction,'&do=forgot_password',"")#">#attributes.title#</a></td></tr>
</table>
</cfform>

<!--- Forgot Password Form --->

<CFELSE>

<!--- Login Form --->
<cfif cgi.query_string IS NOT ''><cfset formaction='#cgi.script_name#?#cgi.query_string#'><cfelse><cfset formaction='#cgi.script_name#'></cfif> 
<cfform action="#formaction#" method="post">
<cfinput type="hidden" name="ice_site_id" value="#attributes.site_id#" />
<cfset x=0>

<table cellpadding="#attributes.cellpadding#" cellspacing="#attributes.cellspacing#">
<tr><td colspan="2"><p style="color:#attributes.title_color#;"><b>#attributes.title#:</b></p></td></tr>
<cfloop list="#attributes.field_name#" index="f">
<cfset x=x+1>
<tr><td width="#listgetat(attributes.field_width,1)#"><b>#listgetat(attributes.field_title,x)#</b></td><td width="#listgetat(attributes.field_width,2)#"><cfinput name="#listgetat(attributes.field_name,x)#" type="#listgetat(attributes.field_type,x)#" size="#listgetat(attributes.field_size,x)#" required="yes" message="#listgetat(attributes.field_message,x)#" /></td></tr>
</cfloop>
<tr><td colspan="2"><cfinput type="submit" name="DoLogin" value="#attributes.button#" /> <br /><br /><cfif attributes.register_text IS NOT '' AND attributes.register_page IS NOT ''><a href="#attributes.register_page#">#attributes.register_text#</a> | </cfif><a href="#formaction#&do=forgot_password">#attributes.forgot_title#</a>
</td></tr>
</table>
</cfform>
<!--- Login Form --->

</CFIF>

</cfoutput>


</cfif>