﻿<cfcomponent>
	<cffunction name="getAudio" access="public" output="false" returntype="query">
		<cfargument name="audio_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetAudio">
                SELECT #arguments.fields# FROM ice_audio WHERE 0=0
<cfif isdefined("form.ice_audio")>AND (ice_audio LIKE '%#form.ice_audio#%' OR caption LIKE  '%#form.ice_audio#%')</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.audio_id") AND arguments.audio_id IS NOT 0>AND id IN (#arguments.audio_id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetAudio>
	</cffunction>

	<cffunction name="getSiteAudio" access="public" output="false" returntype="query">
		<cfargument name="audio_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.my_site_id#">
            <cfquery datasource="#application.DB#" name="GetAudio">
                SELECT #arguments.fields# FROM ice_audio WHERE 0=0
<cfif isdefined("form.ice_audio")>AND (ice_audio LIKE '%#form.ice_audio#%' OR caption LIKE  '%#form.ice_audio#%')</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.audio_id") AND arguments.audio_id IS NOT 0>AND id IN (#arguments.audio_id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetAudio>
	</cffunction>

	<cffunction name="countAudio" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
            <cfquery datasource="#application.DB#" name="CountAudio">
                SELECT #arguments.fields# FROM ice_audio 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
            </cfquery>
<cfset countaudio=CountAudio.Recordcount>
		<cfreturn CountAudio>
	</cffunction>

	<cffunction name="addAudio" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=now()>
<cfset form.ice_site_id=#session.current_site_id#>

<!---<cftry>--->
<CFIF form.file IS NOT ''>
<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.file" DESTINATION="#application.ice_path#\sites\#session.current_site_folder#\audio\" NAMECONFLICT="makeunique" ACCEPT="audio/*,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.file='#cffile.ServerFile#'>
</CFIF>
<cfinsert tablename="ice_audio" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,ice_site_id,created">
<!---<cfcatch type="any"><cfset addaudio=0><cfreturn addaudio></cfcatch>
</cftry>	--->
<cfset addaudio=1>
		<cfreturn addaudio>

	</cffunction>

	<cffunction name="updateAudio" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cftry>
<cfupdate tablename="ice_audio" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updateaudio=0><cfreturn updateaudio></cfcatch>
</cftry>	
<cfset updateaudio=1>
		<cfreturn updateaudio>

	</cffunction>

	<cffunction name="deleteAudio" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>

<cfquery name="GetAudio" datasource="#application.db#">
SELECT * FROM ice_audio WHERE id IN (#arguments.id#)
</cfquery>

<cfif GetAudio.recordcount IS NOT 0>
	<cfloop query="GetAudio">
		<cfif GetAudio.file IS NOT ''>

			<cfif fileexists("#application.ice_path#\sites\#session.current_site_folder#\audio\#GetAudio.file#")>
			<cffile action="delete" file="#application.ice_path#\sites\#session.current_site_folder#\audio\#GetAudio.file#">
			</cfif>
		
			
		</cfif>
	</cfloop>
</cfif>

<cfquery name="DeleteAudio" datasource="#application.db#">
DELETE FROM ice_page_audio WHERE ice_audio_id=#arguments.id#
</cfquery>


<cfquery name="DeleteAudio" datasource="#application.db#">
DELETE FROM ice_audio WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deleteaudio=0><cfreturn deleteaudio></cfcatch>
</cftry>	
<cfset deleteaudio=1>
<cfelse>
<cfset deleteaudio=0><cfreturn deleteaudio>
</cfif>
		<cfreturn deleteaudio>

	</cffunction>

</cfcomponent>
