﻿<cfcomponent>
	<cffunction name="getContainer" access="public" output="false" returntype="query">
		<cfargument name="container_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetContainer">
                SELECT #arguments.fields# FROM ice_container  WHERE 0=0
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_container")>AND (ice_container LIKE '%#form.ice_container#%' OR description LIKE  '%#form.ice_container#%')</cfif>
<cfif isdefined("arguments.container_id") AND arguments.container_id IS NOT 0>AND id IN (#arguments.container_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id = #arguments.id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetContainer>
	</cffunction>

	<cffunction name="countContainer" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
            <cfquery datasource="#application.DB#" name="CountContainer">
                SELECT #arguments.fields# FROM ice_container 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
            </cfquery>
<cfset countcontainer=CountContainer.Recordcount>
		<cfreturn CountContainer>
	</cffunction>

	<cffunction name="addContainer" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.ice_site_id=#session.current_site_id#>
<cfset form.created=now()>
<!-- Check Container Name --->
<cfquery name="CheckC" datasource="#application.db#">
SELECT id FROM ice_container WHERE container_file = '#replace(form.ice_container, " ", "_", "ALL")#.cfm' AND ice_site_id=#form.ice_site_id#
</cfquery>
<!-- Check Container Name --->
<cfif CheckC.Recordcount IS 0>
<cftry>
<!--- Write to file --->

<CFFILE ACTION="write" OUTPUT="#form.code#" ADDNEWLINE="No" File="#application.ice_path#\sites\#session.current_site_folder#\containers\#replace(form.ice_container, " ", "_", "ALL")#.cfm" charset="utf-8">
<!--- Set Filename --->
<cfset form.container_file='#replace(form.ice_container, " ", "_", "ALL")#.cfm'>

<!--- Write to file --->
<cfinsert tablename="ice_container" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,container_file,ice_site_id,created">
<cfcatch type="any"><cfset addcontainer=0><cfreturn addcontainer></cfcatch>
</cftry>
<cfelse>
<cfset addcontainer=0><cfreturn addcontainer>
</cfif>	
<cfset addcontainer=1>
		<cfreturn addcontainer>
	</cffunction>

	<cffunction name="updateContainer" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<!-- Check Container Name --->
<cfquery name="CheckC" datasource="#application.db#">
SELECT id FROM ice_container WHERE container_file = '#replace(form.ice_container, " ", "_", "ALL")#.cfm' AND id <> #form.id#  AND ice_site_id=#session.current_site_id#
</cfquery>
<!-- Check Container Name --->
<cfif CheckC.Recordcount IS 0>
<cftry>

<!--- Write to file --->

<CFFILE ACTION="write" OUTPUT="#form.code#" ADDNEWLINE="No" File="#application.ice_path#\sites\#session.current_site_folder#\containers\#form.container_file#" charset="utf-8">

<!--- Write to file --->

<cfupdate tablename="ice_container" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updatecontainer=0><cfreturn updatecontainer></cfcatch>
</cftry>	
<cfelse>
<cfset addcomponent=0><cfreturn addcomponent>
</cfif>
<cfset updatecontainer=1>
		<cfreturn updatecontainer>

	</cffunction>

	<cffunction name="deleteContainer" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF arguments.id IS NOT 1 AND Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>
<cfquery name="DeleteContainer" datasource="#application.db#">
DELETE FROM ice_container WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deletecontainer=0><cfreturn deletecontainer></cfcatch>
</cftry>	
<cfset deletecontainer=1>
<cfelse>
<cfset deletecontainer=0><cfreturn deletecontainer>
</cfif>
		<cfreturn deletecontainer>
	</cffunction>
</cfcomponent>