<cfcomponent>
	<cffunction name="getRoles" access="public" output="false" returntype="query">
		<cfargument name="role_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="GetRoles">
<cfif isdefined("session.language") AND len(session.language) IS 2>
                SELECT id,ice_role, #session.language# as description FROM ice_role
<cfelse>
                SELECT * FROM ice_role 
</cfif>
<cfif isdefined("arguments.role_id") AND arguments.role_id IS NOT 0>WHERE FIND_IN_SET(id, '#arguments.role_id#') <> 0</cfif>	
ORDER BY id ASC
            </cfquery>
		<cfreturn GetRoles>
	</cffunction>

	<cffunction name="getRole" access="public" output="false" returntype="query">
		<cfargument name="role_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="GetRole">
               SELECT id, #session.language# AS ice_role FROM ice_role 
<cfif isdefined("arguments.role_id") AND arguments.role_id IS NOT 0>WHERE FIND_IN_SET(id, '#arguments.role_id#') <> 0</cfif>	
ORDER BY id ASC
            </cfquery>
		<cfreturn GetRole>
	</cffunction>

	<cffunction name="getRolePrefix" access="public" output="false" returntype="query">
		<cfargument name="role_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="GetRolePrefix">
               SELECT * FROM ice_role 
<cfif isdefined("arguments.role_id") AND arguments.role_id IS NOT 0>WHERE FIND_IN_SET(id, '#arguments.role_id#') <> 0</cfif>	
ORDER BY id ASC
            </cfquery>
		<cfreturn GetRolePrefix>
	</cffunction>

</cfcomponent>