﻿<cfcomponent>
	<cffunction name="getSites" access="public" output="false" returntype="query">
		<cfargument name="site_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
            <cfquery datasource="#application.DB#" name="GetSites">
                SELECT #arguments.fields# FROM ice_site 
WHERE 0=0
<cfif isdefined("form.ice_site")>AND ice_site LIKE '%#form.ice_site#%'</cfif>
<cfif isdefined("form.ice_user_id") AND form.ice_user_id IS NOT 0>AND ice_user_id=#form.ice_user_id#</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND id IN (#arguments.site_id#)</cfif>
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT  0>AND ice_status_id IN (#arguments.ice_status_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id IN (#arguments.id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetSites>
	</cffunction>

	<cffunction name="getSite" access="public" output="false" returntype="query">
		<cfargument name="site_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
            <cfquery datasource="#application.DB#" name="GetSite">
                SELECT #arguments.fields# FROM ice_site WHERE 0=0
<!---<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND id IN (#arguments.site_id#)</cfif>--->
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id = #arguments.id#</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetSite>
	</cffunction>

	<cffunction name="publishSite" access="public" output="false" returntype="numeric">
		<cfargument name="id" type="string" required="no" default="0">

<cftry>
<!--- Get Site Folder --->
<cfquery datasource="#application.DB#" name="GetSF">
SELECT id,folder FROM ice_site WHERE id IN (#arguments.id#) AND folder IS NOT NULL 
</cfquery>

<!---
<!--- Get Site Languages --->
<cfquery datasource="#application.DB#" name="GetSL">
SELECT * FROM ice_site_language WHERE ice_site_id =#arguments.id# AND  ice_status_id=1
</cfquery>
--->
<!--- Check Site Folder --->
<cfif GetSF.recordcount IS NOT 0>
<!---
<!--- Check Language --->
<CFIF GetSL.Recordcount IS 0>
--->
<!--- Loop Sites  --->
<cfloop query="GetSF">
<CFIF DirectoryExists("#application.ice_path#\sites\#GetSF.folder#")>

	<!--- Get Site Channels --->
	<cfquery datasource="#application.DB#" name="GetCF">
	SELECT id,folder,index_template,page_template,published_file,ice_channel_type_id FROM ice_channel WHERE ice_site_id IN (#GetSF.id#) AND folder IS NOT NULL AND ice_status_id=1 AND index_file IS NOT NULL AND page_file IS NOT NULL
	</cfquery>		
	
	<!--- Check Channel Folders --->
	<cfif GetCF.Recordcount IS NOT 0>

		<!--- Loop Channels --->
		<cfloop query="GetCF">
		<cfoutput>
			<cfif GetCF.index_template IS NOT ''>			
				<!--- Publish Channels --->

				<cfif  listlen(GetCF.published_file,'.') IS 2 AND listgetat(GetCF.published_file,2,".") IS 'cfm'>
				<cfset contents='#replace(GetCF.index_template,"../","","ALL")#'>
				<cfelse>
				<CFHTTP URL="#application.ice_url#/sites/#session.current_site_folder#/index.cfm?id=#GetCF.id#&sid=#GetSF.id#" METHOD="get" RESOLVEURL="no"></CFHTTP>
				<cfset contents=cfhttp.FileContent>
				</cfif>
						

				<cfif GetCF.published_file IS NOT ''>
				<CFFILE ACTION="Write"  FILE="#application.ice_path#\sites\#GetSF.folder#\#GetCF.published_file#" OUTPUT="#contents#" attributes="normal" mode="777">
				<cfelse>
					<CFIF GetCF.ice_channel_type_id IS 1>
				<CFFILE ACTION="Write"  FILE="#application.ice_path#\sites\#GetSF.folder#\home.cfm" OUTPUT="#contents#" attributes="normal" mode="777">
					<CFELSE>
				<CFFILE ACTION="Write"  FILE="#application.ice_path#\sites\#GetSF.folder#\#GetCF.folder#.cfm" OUTPUT="#contents#" attributes="normal" mode="777">
					</CFIF>
				</cfif>


			<!--- Get Pages --->
			<cfquery datasource="#application.DB#" name="GetPage">
			SELECT id,ice_page,published_file FROM ice_page WHERE ice_site_id = #GetSF.id# AND ice_channel_id=#GetCF.id# AND ice_status_id=1
			</cfquery>

				<!--- Check Pages --->
				<cfif GetPage.Recordcount IS NOT 0 AND GetCF.page_template IS NOT ''>

					<!--- Loop Pages --->
					<cfloop query="GetPage">

						<!--- Publish Pages --->
				<cfif listlen(GetPage.published_file,'.') IS 2 AND listgetat(GetPage.published_file,2,".") IS 'cfm'>
				<cfset contents='#replace(GetCF.page_template,"../","","ALL")#'>
				<cfelse>	
				<CFHTTP URL="#application.ice_url#/sites/#session.current_site_folder#/page.cfm?id=#GetPage.id#&sid=#GetSF.id#" METHOD="get" RESOLVEURL="no"></CFHTTP>
				<cfset contents=cfhttp.FileContent>
				</cfif>

				<cfif GetPage.published_file IS NOT ''>
				<CFFILE ACTION="Write"  FILE="#application.ice_path#\sites\#GetSF.folder#\#GetPage.published_file#" OUTPUT="#cfhttp.FileContent#" attributes="normal" mode="777">
				<cfelse>
	<cfset y='#replace(lcase(GetPage.ice_page)," ","_","all")#'>
	<cfset y = replace(y,'?',"","all") />
	<cfset y = replace(y,'？',"","all") />
	<cfset y = replace(y,".","","all") />
	<cfset y = replace(y,'。',"","all") />
	<cfset y = replace(y,";","","all") />
	<cfset y = replace(y,"；","","all") />
	<cfset y = replace(y,":","","all") />
	<cfset y = replace(y,"：","","all") />
	<cfset y = replace(y,"!","","all") />
	<cfset y = replace(y,"！","","all") />
	<cfset y = replace(y,"'","","all") />
	<cfset y = replace(y,"‘","","all") />
	<cfset y = replace(y,"##","","all") />
	<cfset y = replace(y,"(","","all") />
	<cfset y = replace(y,")","","all") />
				<CFFILE ACTION="Write"  FILE="#application.ice_path#\sites\#GetSF.folder#\#y#.cfm" OUTPUT="#cfhttp.FileContent#" attributes="normal" mode="777">
				</cfif>
			
					</cfloop>

				</cfif>
			</cfif>
	</cfoutput>
		</cfloop>


	</cfif>

</CFIF>

<!--- Save Publish Dates --->
<cfset form.id=GetSF.id>
<cfset form.published_date_d=now()>
<cfupdate tablename="ice_site" datasource="#application.db#" formfields="id,published_date_d">
</cfloop>

<!---
<CFELSE>

</CFIF>
<!--- Check Language --->
--->
</cfif>

<cfcatch type="any"><cfset publishsite=0><cfreturn publishsite></cfcatch>
</cftry>	
		<cfset publishsite=1><cfreturn publishsite>
	</cffunction>

	<cffunction name="getSiteFolder" access="public" output="false" returntype="query">
		<cfargument name="site_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
            <cfquery datasource="#application.DB#" name="GetSF">
                SELECT folder FROM ice_site 
WHERE id = #arguments.site_id#
            </cfquery>
		<cfreturn GetSF>
	</cffunction>

	<cffunction name="addSite" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=now()>
<cfset form.folder=replacenocase(form.folder," ","_","ALL")>
<cfif form.ftp_port IS ''><cfset form.ftp_port=21></cfif>
<cftry>
<cfinsert tablename="ice_site" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,created">
<cfset folders='api,audio,components,containers,channels,css,docs,flash,images,photos,js,rss,videos,published'>
<!--- Create the Directories --->
<cfdirectory action = "create" directory = "#application.ice_path#\sites\#form.folder#" >
<cfloop list="#folders#" index="f">
<cfdirectory action = "create" directory = "#application.ice_path#\sites\#form.folder#\#f#" >
</cfloop>
<cffile action = "copy" destination = "#application.ice_path#\sites\#form.folder#\index.cfm" source = "#application.ice_path#\sites\index.cfm" attributes = "normal" mode = "777">
<cffile action = "copy" destination = "#application.ice_path#\sites\#form.folder#\page.cfm" source = "#application.ice_path#\sites\page.cfm" attributes = "normal" mode = "777">
<cffile action = "copy" destination = "#application.ice_path#\sites\#form.folder#\api.cfm" source = "#application.ice_path#\sites\api.cfm" attributes = "normal" mode = "777">
<!--- Create the Directories --->
<cfcatch type="any"><cfset addsite=0><cfreturn addsite></cfcatch>
</cftry>	
<cfset addsite=1>
		<cfreturn addsite>
	</cffunction>

	<cffunction name="updateSite" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cftry>
<!--- Rename Directories --->
<cfquery name="GetFolder" datasource="#application.db#">
SELECT folder FROM ice_site WHERE id=#form.id#
</cfquery>
<CFIF GetFolder.Folder IS NOT form.folder>
<cfdirectory action = "rename" directory = "#application.ice_path#\sites\#GetFolder.folder#" newDirectory="#application.ice_path#\sites\#form.folder#">
</CFIF>
<!--- Rename Directories --->
<cfupdate tablename="ice_site" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updatesite=0><cfreturn updatesite></cfcatch>
</cftry>	
<cfset updatesite=1>
		<cfreturn updatesite>

	</cffunction>
	<cffunction name="deleteSite" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF arguments.id IS NOT 1 AND Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>
<!--- Get Folder --->
<cfinvoke component="ICE.#application.api_folder#.site" method="getSiteFolder" site_id="#arguments.id#" returnvariable="folder">
<!--- Get Folder --->

<cfset assets='channel,page,image,flash,video,audio,document,user,site_member,component,container'>

<cfloop list="#assets#" index="a">
<cfquery name="delete#a#" datasource="#application.db#">
DELETE FROM ice_#a# WHERE ice_site_id=#arguments.id#
</cfquery>
</cfloop>

<!--- Delete Site Stuff --->
<cfdirectory action = "delete" directory = "#application.ice_path#\sites\#folder.folder#" recurse="yes">

<cfquery name="DeleteSite" datasource="#application.db#">
DELETE FROM ice_site WHERE id=#arguments.id#
</cfquery>

<cfcatch type="any"><cfset deletesite=0><cfreturn deletesite></cfcatch>
</cftry>	
<cfset deletesite=1>
<cfelse>
<cfset deletesite=0><cfreturn deletesite>
</cfif>
		<cfreturn deletesite>

	</cffunction>
</cfcomponent>