﻿<cfcomponent>
	<cffunction name="getSiteAPIUser" access="public" output="false" returntype="query">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetSiteAPIUser">
                SELECT #arguments.fields# FROM ice_site_api_user  WHERE 0=0
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_api_user") AND form.ice_site_api_user IS NOT ''>AND (ice_site_api_user LIKE '%#form.ice_site_api_user#%')</cfif>
<cfif isdefined("form.ice_site_api_id") AND form.ice_site_api_id IS NOT 0>AND ice_site_api_id=#form.ice_site_api_id#</cfif>
<cfif isdefined("form.ice_site_member_id") AND form.ice_site_member_id IS NOT 0>AND ice_site_member_id=#form.ice_site_member_id#</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT 0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>

ORDER BY ice_site_api_user ASC
            </cfquery>
		<cfreturn GetSiteAPIUser>
	</cffunction>

	<cffunction name="countSiteAPIUser" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
            <cfquery datasource="#application.DB#" name="CountSiteAPIUser">
                SELECT #arguments.fields# FROM ice_site_api_user 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
            </cfquery>
<cfset countlanguage=CountSiteAPIUser.Recordcount>
		<cfreturn countlanguage>
	</cffunction>


	<cffunction name="addSiteAPIUser" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="user_id" type="string" required="no" default="0">
<cfset form.ice_site_id=#session.current_site_id#>
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=now()>

<cftry>

<!-- Check User --->
<cfquery name="CheckU" datasource="#application.db#">
SELECT * FROM ice_site_api_user WHERE ice_site_member_id = #form.ice_site_member_id# AND ice_site_id=#form.ice_site_id# AND ice_site_api_id=#form.ice_site_api_id#
</cfquery>
<!-- Check User --->

<cfif CheckU.Recordcount IS 0>
<cfinsert tablename="ice_site_api_user" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,ice_site_id,created">
<cfelse>
<cfset addlanguage=0><cfreturn addlanguage>
</cfif>
<cfcatch type="any"><cfset addlanguage=0><cfreturn addlanguage></cfcatch>
</cftry>

<cfset addlanguage=1>
		<cfreturn addlanguage>
	</cffunction>

	<cffunction name="updateSiteAPIUser" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">

<!-- Check User --->
<cfquery name="CheckU" datasource="#application.db#">
SELECT id FROM ice_site_api_user WHERE ice_site_member_id = #form.ice_site_member_id# AND ice_site_id=#session.current_site_id# AND ice_site_api_id=#form.ice_site_api_id# AND id <> #form.id#
</cfquery>
<!-- Check User --->

<cfif CheckU.Recordcount IS 0>
<cftry>
<cfupdate tablename="ice_site_api_user" datasource="#application.db#" formfields="id,ice_site_api_user,ice_site_member_id,ice_site_api_id">
<cfcatch type="any"><cfset updatelanguage=0><cfreturn updatelanguage></cfcatch>
</cftry>	
<cfelse>
<cfset updatelanguage=0><cfreturn updatelanguage>
</cfif>
<cfset updatelanguage=1>
		<cfreturn updatelanguage>

	</cffunction>

	<cffunction name="deleteSiteAPIUser" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>
<cfquery name="DeleteSiteAPIUser" datasource="#application.db#">
DELETE FROM ice_site_api_user WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deletelanguage=0><cfreturn deletelanguage></cfcatch>
</cftry>	
<cfset deletelanguage=1>
<cfelse>
<cfset deletelanguage=0><cfreturn deletelanguage>
</cfif>
		<cfreturn deletelanguage>
	</cffunction>
</cfcomponent>