﻿<cfcomponent>
 	<!--- Register User --->			
	<cffunction name="register" access="public" output="false" returntype="numeric">
		<cfargument name="myfields" type="string" required="yes" default="ice_site_member,email,pword">
		<cfargument name="site_id" type="string" required="yes" default="0">
        	<cfquery name="checkemail" datasource="#application.db#" MAXROWS="1">
                SELECT id FROM ice_site_member WHERE email= <cfqueryparam value="#arguments.email#" CFSQLType= "CF_SQL_VARCHAR"> AND ice_site_id= <cfqueryparam value="#arguments.site_id#" CFSQLType= "CF_SQL_INTEGER"> 
           	</cfquery>

	<cfif checkemail.recordcount IS NOT 0>
                <cfset registerresult=1>	
	<cfelse>
        	<cfquery name="checknickname" datasource="#application.db#" MAXROWS="1">
                SELECT id FROM ice_site_member WHERE ice_site_member= <cfqueryparam value="#arguments.nickname#" CFSQLType= "CF_SQL_VARCHAR"> AND ice_site_id= <cfqueryparam value="#arguments.site_id#" CFSQLType= "CF_SQL_INTEGER"> 
            </cfquery>
	<CFIF checknickname.recordcount IS NOT 0>
                <cfset registerresult=2>	
	<CFELSE>
                
<cfset form.ice_site_id=#arguments.site_id#>
<cfset form.created=now()>
<cfif not isdefined("form.notify")><cfset form.notify=0></cfif>
<cftry>

<cfinvoke component="site" method="GetSiteFOlder" site_id="#session.my_site_id#" returnvariable="folder">
<CFIF isdefined("form.photo") AND form.photo IS NOT ''>
<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.photo" DESTINATION="#application.ice_path#\sites\#folder.folder#\photos\" NAMECONFLICT="makeunique" ACCEPT="image/gif, image/jpeg, image/jpg,image/pjpeg,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.photo='#cffile.ServerFile#'>
</CFIF>
 	<cfinsert tablename="ice_site_member" datasource="#application.db#" formfields="#arguments.myfields#,ice_site_id,created">	
<cfcatch type="any"><cfset registerresult=3></cfcatch>
</cftry>
<cfset registerresult=0>
	</CFIF>
	</cfif>

 
		
		<cfreturn registerresult>
	</cffunction>
	<!--- Register User --->

  	<!--- Profile User --->			
	<cffunction name="profile" access="public" output="false" returntype="numeric">
		<cfargument name="myfields" type="string" required="yes" default="ice_site_member,email,pword">
		<cfargument name="site_id" type="string" required="yes" default="0">
        	<cfquery name="checkemail" datasource="#application.db#" MAXROWS="1">
                SELECT id FROM ice_site_member WHERE email= <cfqueryparam value="#arguments.email#" CFSQLType= "CF_SQL_VARCHAR"> AND ice_site_id= <cfqueryparam value="#arguments.site_id#" CFSQLType= "CF_SQL_INTEGER"> AND id <> #form.id# 
           	</cfquery>

	<cfif checkemail.recordcount IS NOT 0>
                <cfset profileresult=1>	
	<cfelse>
        	<cfquery name="checknickname" datasource="#application.db#" MAXROWS="1">
                SELECT id FROM ice_site_member WHERE ice_site_member= <cfqueryparam value="#arguments.nickname#" CFSQLType= "CF_SQL_VARCHAR"> AND ice_site_id= <cfqueryparam value="#arguments.site_id#" CFSQLType= "CF_SQL_INTEGER"> AND id <> #form.id# 
            </cfquery>
	<CFIF checknickname.recordcount IS NOT 0>
                <cfset profileresult=2>	
	<CFELSE>
                
<cfset form.ice_site_id=#arguments.site_id#>
<cfset form.created=now()>
<cfif not isdefined("form.notify")><cfset form.notify=0></cfif>
<cftry>

<cfinvoke component="site" method="GetSiteFOlder" site_id="#session.my_site_id#" returnvariable="folder">
<CFIF isdefined("form.photo") AND form.photo IS NOT ''>
<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.photo" DESTINATION="#application.ice_path#\sites\#folder.folder#\photos\" NAMECONFLICT="makeunique" ACCEPT="image/gif, image/jpeg, image/jpg,image/pjpeg,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.photo='#cffile.ServerFile#'>
</CFIF>
 	<cfupdate tablename="ice_site_member" datasource="#application.db#" formfields="id,#arguments.myfields#,ice_site_id,created">	
<cfcatch type="any"><cfset profileresult=3></cfcatch>
</cftry>
<cfset profileresult=0>
	</CFIF>
	</cfif>

 
		
		<cfreturn profileresult>
	</cffunction>
	<!--- Profile User --->
</cfcomponent>