﻿<cfcomponent>

	<cffunction name="addStats" access="public" output="false" returntype="numeric">
		<cfargument name="scpid" type="string" required="no" default="0">
		<cfargument name="page" type="string" required="no" default="">
		<cfargument name="cpid" type="string" required="no" default="0">
		<cfargument name="cid" type="string" required="no" default="0">
		<cfargument name="pd" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="0">
		<cfargument name="ip" type="string" required="no" default="">
		<cfargument name="ref_url" type="string" required="no" default="">
		<cfargument name="browser" type="string" required="no" default="">
		<cfargument name="host" type="string" required="no" default="">
		<cfargument name="country" type="string" required="no" default="">
		<cfargument name="sess" type="string" required="no" default="">
		<cfargument name="mmid" type="string" required="no" default="0">
<cfset form.ice_stats=arguments.page>
<cfset form.ice_sub_campaign_id=arguments.scpid>
<cfset form.ice_campaign_id=arguments.cpid>
<cfset form.ice_channel_id=arguments.cid>
<cfset form.ice_page_id=arguments.pid>
<cfset form.ice_site_id=arguments.site_id>
<cfset form.ip=arguments.ip>
<cfset form.ref_url=arguments.ref_url>
<cfset form.browser=arguments.browser>
<cfset form.host=arguments.host>
<cfset form.country=arguments.country>
<cfset form.created=now()>
<cfset form.session=arguments.sess>
<cfset form.ice_site_member_id=arguments.mmid>
<cftry>
<cfinsert tablename="ice_stats" datasource="#application.db#" formfields="ice_stats,ice_campaign_id,ice_sub_campaign_id,ice_channel_id,ice_page_id,ice_site_id,ip,ref_url,browser,host,country,session,created,ice_site_member_id">
<cfcatch type="any"><cfset addcampaign=0><cfreturn addcampaign></cfcatch>
</cftry>
		<cfset addcampaign=0><cfreturn addcampaign>
	</cffunction>

	<cffunction name="getStatsCount" access="public" output="false" returntype="numeric">
		<cfargument name="id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
		<cfargument name="start_date" type="string" required="no" default="0">
		<cfargument name="end_date" type="string" required="no" default="0">
		<cfargument name="what" type="string" required="no" default="views">
<cfif arguments.what IS 'visitors'>
            <cfquery datasource="#application.DB#" name="GetSubCount">
                SELECT Count(DISTINCT IP) AS sub FROM ice_stats WHERE ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
            </cfquery>
<cfelseif arguments.what IS 'views'>
            <cfquery datasource="#application.DB#" name="GetSubCount">
                 SELECT count(id) AS sub FROM ice_stats WHERE 0=0 AND ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
            </cfquery>
<cfelseif arguments.what IS 'bounce'>
            <cfquery datasource="#application.DB#" name="GetViews">
                 SELECT count(id) AS sub FROM ice_stats WHERE 0=0 AND ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
            </cfquery>
            <cfquery datasource="#application.DB#" name="GetSubCount">
SELECT Count(session),session AS sub FROM ice_stats WHERE ice_site_id=#arguments.site_id#  <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif> GROUP BY session having (count(session)=1) 
            </cfquery>
		<cfif GetViews.sub IS NOT 0 AND GetSubcount.recordcount IS NOT 0><cfset sub=round((GetSubcount.recordcount/GetViews.sub)*100)><cfelse><cfset sub=0></cfif>
		<cfreturn sub>
<cfelse>
            <cfquery datasource="#application.DB#" name="GetSubCount">
                SELECT Count(DISTINCT Session) AS sub FROM ice_stats WHERE ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
            </cfquery>
</cfif>
		<cfset sub=GetSubcount.sub>
		<cfreturn sub>
	</cffunction>

	<cffunction name="getMiniStats" access="public" output="false" returntype="query">
		<cfargument name="id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
		<cfargument name="start_date" type="string" required="no" default="0">
		<cfargument name="end_date" type="string" required="no" default="0">
		<cfargument name="what" type="string" required="no" default="views">
		<cfargument name="max" type="numeric" required="no" default="4">
<cfif arguments.what IS 'page'>
            <cfquery datasource="#application.DB#" name="GetSubCount" maxrows="#arguments.max#">
                SELECT ice_stats as label,count(ice_stats) AS hits FROM ice_stats WHERE ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
	GROUP BY ice_stats ORDER BY Hits DESC
            </cfquery>
<cfelseif arguments.what IS 'referer'>
            <cfquery datasource="#application.DB#" name="GetSubCount" maxrows="#arguments.max#">
                SELECT ref_url as label,count(ref_url) AS hits FROM ice_stats WHERE ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
	AND ref_url IS NOT NULL GROUP BY ref_url  ORDER BY Hits DESC
            </cfquery>
<cfelseif arguments.what IS 'channel'>
            <cfquery datasource="#application.DB#" name="GetSubCount" maxrows="#arguments.max#">
                SELECT ice_stats.ice_channel_id,ice_channel.ice_channel AS label,count(ice_stats.ice_channel_id) AS hits FROM ice_stats,ice_channel WHERE ice_stats.ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND ice_stats.created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND ice_stats.created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
	AND ice_stats.ice_channel_id=ice_channel.id
	GROUP BY ice_stats.ice_channel_id  ORDER BY Hits DESC
            </cfquery>
<cfelseif arguments.what IS 'campaign'>
            <cfquery datasource="#application.DB#" name="GetSubCount" maxrows="#arguments.max#">
                SELECT ice_stats.ice_campaign_id,ice_campaign.ice_campaign AS label,count(ice_stats.ice_campaign_id) AS hits FROM ice_stats,ice_campaign WHERE ice_stats.ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND ice_stats.created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND ice_stats.created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
	AND ice_stats.ice_campaign_id=ice_campaign.id
	GROUP BY ice_stats.ice_campaign_id  ORDER BY Hits DESC
            </cfquery>
<cfelseif arguments.what IS 'sub-campaign'>
            <cfquery datasource="#application.DB#" name="GetSubCount" maxrows="#arguments.max#">
                SELECT ice_stats.ice_sub_campaign_id,ice_sub_campaign.ice_sub_campaign AS label,count(ice_stats.ice_sub_campaign_id) AS hits FROM ice_stats,ice_sub_campaign WHERE ice_stats.ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND ice_stats.created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND ice_stats.created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
	AND ice_stats.ice_sub_campaign_id=ice_sub_campaign.id
	GROUP BY ice_stats.ice_sub_campaign_id  ORDER BY Hits DESC
            </cfquery>
<cfelseif arguments.what IS 'country'>
            <cfquery datasource="#application.DB#" name="GetSubCount" maxrows="#arguments.max#">
                SELECT country as label,count(country) AS hits FROM ice_stats WHERE ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
	AND country IS NOT NULL GROUP BY country  ORDER BY Hits DESC
            </cfquery>
<cfelseif arguments.what IS 'member'>
            <cfquery datasource="#application.DB#" name="GetSubCount" maxrows="#arguments.max#">
                SELECT ice_stats.ice_site_member_id,ice_site_member.ice_site_member AS label,count(ice_stats.ice_site_member_id) AS hits FROM ice_stats,ice_site_member WHERE ice_stats.ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND ice_stats.created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND ice_stats.created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
	AND ice_stats.ice_site_member_id=ice_site_member.id
	GROUP BY ice_stats.ice_site_member_id  ORDER BY Hits DESC
            </cfquery>
<cfelseif arguments.what IS 'browser'>
            <cfquery datasource="#application.DB#" name="GetSubCount" maxrows="#arguments.max#">
                SELECT browser as label,count(browser) AS hits FROM ice_stats WHERE ice_site_id=#arguments.site_id# <cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created >= '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND created <= '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
	GROUP BY browser  ORDER BY Hits DESC
            </cfquery>
</cfif>
		<cfset sub=GetSubcount>
		<cfreturn sub>
	</cffunction>

	<cffunction name="getStats" access="public" output="false" returntype="query">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
		<cfargument name="do" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="start_date" type="string" required="no" default="0">
		<cfargument name="end_date" type="string" required="no" default="0">

            <cfquery datasource="#application.DB#" name="GetStats">
                SELECT #arguments.fields# FROM ice_stats WHERE ice_site_id=#arguments.site_id#

<cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created BETWEEN '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
ORDER BY Created DESC
<!---
                SELECT count(ice_stats) AS hits,#arguments.fields# FROM ice_stats WHERE ice_site_id=#arguments.site_id#

<cfif arguments.start_date IS NOT 0 AND arguments.end_date IS NOT 0>AND created BETWEEN '#dateformat(arguments.start_date,"YYYY-MM-DD")#' AND '#dateformat(arguments.end_date,"YYYY-MM-DD")#'</cfif>
GROUP BY ice_stats ORDER BY count(ice_stats) DESC
--->
            </cfquery>
		<cfset sub=GetStats>
		<cfreturn sub>
	</cffunction>

	<cffunction name="resetStats" access="public" output="false" returntype="numeric">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
<cftry>
            <cfquery datasource="#application.DB#" name="GetStats">
                DELETE FROM ice_stats WHERE ice_site_id=#arguments.site_id#
            </cfquery>
<cfcatch type="any"><cfset sub=0><cfreturn sub></cfcatch>
</cftry>
		<cfset sub=1>
		<cfreturn sub>
	</cffunction>

</cfcomponent>